Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Apps require 3.1

  1. #1
    Green Apple
    Join Date
    Sep 2007
    Location
    Factoryville, Pa
    Posts
    92
    Thanks
    2
    Thanked 2 Times in 2 Posts

    Default Apps require 3.1
    Looks like a great deal of new Apps in the App Store now require 3.1 OS to run. Could it be Apple's way of getting us to move on to 3.1? I am still on 3.01 with my JB 3gs running a Windows PC. I am just waiting for a JB to run on my Vista PC

  2. #2
    iPhoneaholic reddawg's Avatar
    Join Date
    Sep 2008
    Location
    Massachusetts, USA
    Posts
    430
    Thanks
    39
    Thanked 71 Times in 59 Posts

    Install FWChanger in Cydia. FWChanger only changes the reported firmware not the actual firmware.

    1. Enter the firmware as:

      Firmware: 3.1
      Build: 7C144
    2. Click the Set button.

      I had to do this twice for it to work.
    3. Then reboot your iPhone.

    To check it, Open FWChanger again and click the "Check FW" button. It should say "Your current firmware version is: 3.1(7C144)".

    Important: Before restoring or updating to any firmware, run FWChnager and set your firmware and build back to it's real firmware version and build, then uninstall FWChanger.
    Last edited by reddawg; 2009-10-06 at 07:18 AM.
    "When I die, I want to go peacefully in my sleep like my grandfather did...not kicking and screaming like the passengers in his car." -- Unknown

  3. The Following User Says Thank You to reddawg For This Useful Post:

    Rota (2009-10-11)

  4. #3
    Retired Moderator one1's Avatar
    Join Date
    Sep 2007
    Location
    In my own little world
    Posts
    10,302
    Thanks
    349
    Thanked 1,175 Times in 724 Posts

    They've been doing this since FW 2x

  5. #4
    Green Apple
    Join Date
    Oct 2008
    Location
    Spokane, WA
    Posts
    86
    Thanks
    39
    Thanked 10 Times in 7 Posts

    Quote Originally Posted by reddawg View Post
    Install FWChanger in Cydia. FWChanger only changes the reported firmware not the actual firmware.

    1. Enter the firmware as:

      Firmware: 3.1
      Build: 7C144
    2. Click the Set button.

      I had to do this twice for it to work.
    3. Then reboot your iPhone.

    To check it, Open FWChanger again and click the "Check FW" button. It should say "Your current firmware version is: 3.1(7C144)".

    Important: Before restoring or updating to any firmware, run FWChnager and set your firmware and build back to it's real firmware version and build, then uninstall FWChanger.
    That's good to know, but doesn't that affect other jailbroken apps that won't run on 3.1? Will this prevent some of my older jailbreak apps from launching?

    Specifically: SBSettings, Supreme Preferences 3.0, QuickReply, any of those? I just don't want to cause any problems for the stuff I already have installed.

  6. #5
    I just installed FW changer and it did let me sync snapture from iTunes but snapture still doesn't run. It starts and then crashes.

  7. #6
    iPhoneaholic reddawg's Avatar
    Join Date
    Sep 2008
    Location
    Massachusetts, USA
    Posts
    430
    Thanks
    39
    Thanked 71 Times in 59 Posts

    I know that SBSettings works fine using FWChanger. FWChanger just changes SystemVersion.plist in /System/Library/CoreServices.

    HTML Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    	<key>ProductBuildVersion</key>
    	<string>7C144</string>
    	<key>ProductCopyright</key>
    	<string>1983-2009 Apple Inc.</string>
    	<key>ProductName</key>
    	<string>iPhone OS</string>
    	<key>ProductVersion</key>
    	<string>3.1</string>
    </dict>
    </plist>
    It is possible that there was an API change between 3.0 and 3.1 that is causing the application to crash. This is rare, but it can happen. Before uninstalling FWChanger, make sure you reset your firmware version and build back to it's original values, then reboot your iPhone.
    Last edited by reddawg; 2009-10-09 at 04:38 AM.
    "When I die, I want to go peacefully in my sleep like my grandfather did...not kicking and screaming like the passengers in his car." -- Unknown

  8. #7
    Dunno what API's were modified in 3.1, but usually with the more major updates Apple has been releasing different ones....and if so....it takes the newer FW to run them.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •